/*============================================================================
  File:     PageSplitSetup.sql

  Summary:  Create some nasty page splits

  Date:     March 2011

  SQL Server Versions:
		10.0.2531.00 (SS2008 SP1)
		9.00.4035.00 (SS2005 SP3)
------------------------------------------------------------------------------
  Written by Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you give due credit.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

-- Let's create some page splits to watch

/*
USE master;
GO
DROP DATABASE PageSplit;
GO
*/

CREATE DATABASE PageSplit ON PRIMARY (
    NAME = 'PageSplit_data',
    FILENAME = N'D:\SQLskills\PageSplit_data.mdf')
LOG ON (
    NAME = 'PageSplit_log',
    FILENAME = N'C:\SQLskills\PageSplit_log.ldf',
    SIZE = 5MB,
    FILEGROWTH = 1MB);
GO

ALTER DATABASE PageSplit SET RECOVERY SIMPLE;
GO

USE PageSplit;
GO

CREATE TABLE PageSplitTable (
	c1 UNIQUEIDENTIFIER DEFAULT NEWID () ROWGUIDCOL,
	c2 DATETIME DEFAULT GETDATE (),
	c3 CHAR (400) DEFAULT 'a');
CREATE CLUSTERED INDEX PageSplitTable_CL ON
	PageSplitTable (c1);
GO

-- Now start 10 threads....

-- And look at the stats, waiting tasks, latches

-- Now add 50, 50, 50, 50 and watch changes

