/*============================================================================
  File:     PreemptiveSetup.sql

  Summary:  Create some preemptive waits

  Date:     March 2011

  SQL Server Versions:
		10.0.2531.00 (SS2008 SP1)
		9.00.4035.00 (SS2005 SP3)
------------------------------------------------------------------------------
  Written by Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you give due credit.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

/*
USE master;
GO
DROP DATABASE FSWaits;
GO
*/

CREATE DATABASE FSWaits ON PRIMARY (
    NAME = 'FSWaits_data',
    FILENAME = N'D:\SQLskills\FSWaits_data.mdf'),
FILEGROUP FileStreamFileGroup CONTAINS FILESTREAM
  ( NAME = FileStreamTestDBDocuments,
    FILENAME = N'C:\SQLskills\FileStreamTestDB\Documents')
LOG ON (
    NAME = 'FSWaits_log',
    FILENAME = N'C:\SQLskills\FSWaits_log.ldf',
    SIZE = 5MB,
    FILEGROWTH = 1MB);
GO

-- Create a table with a FILESTREAM column
USE FSWaits;
GO

CREATE TABLE FileStreamTest1 (
	DocId UNIQUEIDENTIFIER ROWGUIDCOL NOT NULL UNIQUE,
	DocName VARCHAR (25),
	Document VARBINARY(MAX) FILESTREAM);
GO

-- Flush the wait stats

-- Loop creating files
SET NOCOUNT ON;
GO
WHILE (1=1)
BEGIN
	INSERT INTO FileStreamTest1 VALUES
		(NEWID (),
		'MyDoc',
		CAST ('SQLskills' AS VARBINARY (MAX)));
END;
GO


-- Show deleting the database too